Skip to content

Retrieve card limits

Request

Retrieves the spend limits that are configured for a card.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

cardTokenstringrequired

The card token.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v4/spend/profiles/{profileId}/cards/{cardToken}/spend-limits' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Card spend limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
transactionobject or null
dailyobject or null
monthlyobject or null
lifetimeobject or null
Response
{ "transaction": { "value": { "amount": 100, "currency": "GBP" }, "usage": { "amount": 0, "currency": "GBP" }, "resetAt": null }, "daily": { "value": { "amount": 2000, "currency": "GBP" }, "usage": { "amount": 100, "currency": "GBP" }, "resetAt": "2023-09-29T22:59:59.999999999Z" }, "monthly": { "value": { "amount": 3000, "currency": "GBP" }, "usage": { "amount": 100, "currency": "GBP" }, "resetAt": "2023-09-30T22:59:59.999999999Z" }, "lifetime": { "value": { "amount": 5000, "currency": "GBP" }, "usage": { "amount": 100, "currency": "GBP" }, "resetAt": null } }